Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class SshToolsApplicationPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.sshtools.common.ui.SshToolsApplicationPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

Direct Known Subclasses:
  SshToolsApplicationClientPanel

public abstract class SshToolsApplicationPanel
extends javax.swing.JPanel

DOCUMENT ME!

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SshToolsApplicationPanel.ActionMenu`

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected java.util.Vector` | `actionMenus` DOCUMENT ME!
`protected java.util.Vector` | `actions` DOCUMENT ME!
`protected java.util.HashMap` | `actionsVisible` DOCUMENT ME!
`protected SshToolsApplication` | `application` DOCUMENT ME!
`protected SshToolsApplicationContainer` | `container` DOCUMENT ME!
`protected javax.swing.JPopupMenu` | `contextMenu` DOCUMENT ME!
`protected org.apache.commons.logging.Log` | `log` DOCUMENT ME!
`protected javax.swing.JMenuBar` | `menuBar` DOCUMENT ME!
`protected javax.swing.JToolBar` | `toolBar` DOCUMENT ME!
`protected boolean` | `toolsVisible` DOCUMENT ME!

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SshToolsApplicationPanel()` Creates a new SshToolsApplicationPanel object.
`SshToolsApplicationPanel(java.awt.LayoutManager mgr)` Creates a new SshToolsApplicationPanel object.

Method Summary
`abstract boolean` | `canClose()` DOCUMENT ME!
`abstract void` | `close()` DOCUMENT ME!
`void` | `deregisterAction(StandardAction action)` DOCUMENT ME!
`StandardAction` | `getAction(java.lang.String name)` DOCUMENT ME!
`SshToolsApplicationPanel.ActionMenu` | `getActionMenu(java.lang.String actionMenuName)` DOCUMENT ME!
`SshToolsApplication` | `getApplication()` DOCUMENT ME!
`SshToolsApplicationContainer` | `getContainer()` DOCUMENT ME!
`javax.swing.JPopupMenu` | `getContextMenu()` DOCUMENT ME!
`javax.swing.JMenuBar` | `getJMenuBar()` DOCUMENT ME!
`StatusBar` | `getStatusBar()` DOCUMENT ME!
`javax.swing.JToolBar` | `getToolBar()` DOCUMENT ME!
`void` | `init(SshToolsApplication application)` DOCUMENT ME!
`abstract boolean` | `isConnected()` DOCUMENT ME!
`boolean` | `isToolsVisible()` DOCUMENT ME!
`void` | `rebuildActionComponents()` DOCUMENT ME!
`void` | `registerAction(StandardAction action)` DOCUMENT ME!
`void` | `registerActionMenu(SshToolsApplicationPanel.ActionMenu actionMenu)` DOCUMENT ME!
`void` | `setActionVisible(java.lang.String name, boolean visible)` DOCUMENT ME!
`abstract void` | `setAvailableActions()` DOCUMENT ME!
`void` | `setContainer(SshToolsApplicationContainer container)` DOCUMENT ME!
`void` | `setContainerTitle(java.io.File file)` DOCUMENT ME!
`void` | `setMenuBarVisible(boolean visible)` DOCUMENT ME!
`void` | `setStatusBarVisible(boolean visible)` DOCUMENT ME!
`void` | `setToolBarVisible(boolean visible)` DOCUMENT ME!
`void` | `setToolsVisible(boolean visible)` DOCUMENT ME!
`void` | `showErrorMessage(java.awt.Component parent, java.lang.String mesg, java.lang.String title, java.lang.Throwable exception)` DOCUMENT ME!
`void` | `showErrorMessage(java.awt.Component parent, java.lang.String title, java.lang.Throwable exception)` DOCUMENT ME!
`void` | `showExceptionMessage(java.lang.String title, java.lang.String message)` DOCUMENT ME!
`void` | `showOptions()` DOCUMENT ME!

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected org.apache.commons.logging.Log log

  DOCUMENT ME!

### application

    protected SshToolsApplication application

  DOCUMENT ME!

### menuBar

    protected javax.swing.JMenuBar menuBar

  DOCUMENT ME!

### toolBar

    protected javax.swing.JToolBar toolBar

  DOCUMENT ME!

### contextMenu

    protected javax.swing.JPopupMenu contextMenu

  DOCUMENT ME!

### container

    protected SshToolsApplicationContainer container

  DOCUMENT ME!

### actions

    protected java.util.Vector actions

  DOCUMENT ME!

### actionsVisible

    protected java.util.HashMap actionsVisible

  DOCUMENT ME!

### toolsVisible

    protected boolean toolsVisible

  DOCUMENT ME!

### actionMenus

    protected java.util.Vector actionMenus

  DOCUMENT ME!

Constructor Detail

### SshToolsApplicationPanel

    public SshToolsApplicationPanel()

  Creates a new SshToolsApplicationPanel object.

### SshToolsApplicationPanel

    public SshToolsApplicationPanel(java.awt.LayoutManager mgr)

  Creates a new SshToolsApplicationPanel object.

Parameters:
  `mgr` - DOCUMENT ME!

Method Detail

### canClose

    public abstract boolean canClose()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### close

    public abstract void close()

  DOCUMENT ME!

### setAvailableActions

    public abstract void setAvailableActions()

  DOCUMENT ME!

### setActionVisible

    public void setActionVisible(java.lang.String name,
                                 boolean visible)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `visible` - DOCUMENT ME!

### getContainer

    public SshToolsApplicationContainer getContainer()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setContainer

    public void setContainer(SshToolsApplicationContainer container)

  DOCUMENT ME!

  Parameters:
    `container` - DOCUMENT ME!

### registerActionMenu

    public void registerActionMenu(SshToolsApplicationPanel.ActionMenu actionMenu)

  DOCUMENT ME!

  Parameters:
    `actionMenu` - DOCUMENT ME!

### getActionMenu

    public SshToolsApplicationPanel.ActionMenu getActionMenu(java.lang.String actionMenuName)

  DOCUMENT ME!

  Parameters:
    `actionMenuName` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getAction

    public StandardAction getAction(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### deregisterAction

    public void deregisterAction(StandardAction action)

  DOCUMENT ME!

  Parameters:
    `action` - DOCUMENT ME!

### registerAction

    public void registerAction(StandardAction action)

  DOCUMENT ME!

  Parameters:
    `action` - DOCUMENT ME!

### init

    public void init(SshToolsApplication application)
              throws SshToolsApplicationException

  DOCUMENT ME!

  Parameters:
    `application` - DOCUMENT ME!
  Throws:
    `SshToolsApplicationException` - DOCUMENT ME!

### showOptions

    public void showOptions()

  DOCUMENT ME!

### rebuildActionComponents

    public void rebuildActionComponents()

  DOCUMENT ME!

### isToolsVisible

    public boolean isToolsVisible()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setMenuBarVisible

    public void setMenuBarVisible(boolean visible)

  DOCUMENT ME!

  Parameters:
    `visible` - DOCUMENT ME!

### setToolBarVisible

    public void setToolBarVisible(boolean visible)

  DOCUMENT ME!

  Parameters:
    `visible` - DOCUMENT ME!

### setStatusBarVisible

    public void setStatusBarVisible(boolean visible)

  DOCUMENT ME!

  Parameters:
    `visible` - DOCUMENT ME!

### setToolsVisible

    public void setToolsVisible(boolean visible)

  DOCUMENT ME!

  Parameters:
    `visible` - DOCUMENT ME!

### showExceptionMessage

    public void showExceptionMessage(java.lang.String title,
                                     java.lang.String message)

  DOCUMENT ME!

  Parameters:
    `title` - DOCUMENT ME!
    `message` - DOCUMENT ME!

### showErrorMessage

    public void showErrorMessage(java.awt.Component parent,
                                 java.lang.String title,
                                 java.lang.Throwable exception)

  DOCUMENT ME!

  Parameters:
    `parent` - DOCUMENT ME!
    `title` - DOCUMENT ME!
    `exception` - DOCUMENT ME!

### showErrorMessage

    public void showErrorMessage(java.awt.Component parent,
                                 java.lang.String mesg,
                                 java.lang.String title,
                                 java.lang.Throwable exception)

  DOCUMENT ME!

  Parameters:
    `parent` - DOCUMENT ME!
    `mesg` - DOCUMENT ME!
    `title` - DOCUMENT ME!
    `exception` - DOCUMENT ME!

### isConnected

    public abstract boolean isConnected()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setContainerTitle

    public void setContainerTitle(java.io.File file)

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!

### getToolBar

    public javax.swing.JToolBar getToolBar()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getContextMenu

    public javax.swing.JPopupMenu getContextMenu()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getJMenuBar

    public javax.swing.JMenuBar getJMenuBar()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getStatusBar

    public StatusBar getStatusBar()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getApplication

    public SshToolsApplication getApplication()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD